<?xml version="1.0" encoding="UTF-8"?>



<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.lutao.cloud.consume.mapper.ProcessParameterTagMapper">


    <select id="getTagTypeByCode" resultType="com.lutao.cloud.consume.vo.TagTypeVO">

        SELECT tag_type AS tagType,
               unit AS unit,
               CONCAT(limit_up, '~', limit_lo) AS limits
        FROM process_parameters_tag
        WHERE tag_code = #{tagCode} LIMIT 1
    </select>
</mapper>